Programm zur Berechnung   aktiver  Tiefpass-  und  Hochpassfilter  zwei-
ter, vierter und sechster Ordnung als Bessel, Butterworth und   Tscheby-
scheff.

========================================================================

File:                   FILTCOOK.GFA  (GFA-3.5-BASIC)

Programmiert durch:     Thomas Schaerer (CH-Effretikon)
                        schaerer@isi.ee.ethz.ch

Grundlage:              AKTIV-FILTER-KOCHBUCH von Don Lancaster
                        (ISBN: 3-88322-007-8)

Systemvorausetzung:     ATARI-ST oder Emulation mit TOS-1.04 (TOSBOX)
                        Monitoraufloesung: 600x400 High-Resolution

Datum der PD-Freigabe:  Dezember 1998

----------------------------------------------------------------------------

Worum geht es in diesem Programm?
---------------------------------
Viele  Elektroniker der etwas aelteren Generation kennen  und  schaetzen 
sicher  das stark praxisorientierte AKTIVE-FILTER-KOCHBUCH von Don  Lan-
caster.  Die  erste Auflage geht zurueck auf das Jahr  1982.  Seit  1983 
benutze  ich  dieses  Buch,  wenn es darum geht  rasch  ein  Tief-  oder 
Hochpassfilter,  Bessel,  Butterworth oder Tschebyscheff bis zu sechster 
Ordnung zu entwerfen. Wegen der Skalierung auf 1 kHz, ist die Berechnung 
sehr leicht gemacht.

Schon vor langer Zeit entwickelte ich ein einfaches Programm das mir die 
Benutzung dieses Buches unterstuetzt.  Nun klemmte ich mich endlich  mal 
dahinter,  es soweit fertig zu machen,  dass man es auch als PD-Voellig-
Gratis-Programm weitergeben kann. Ja ich weiss, das ist nett von mir. 
:-)))


Wer kann dieses Programm anwenden?
----------------------------------
Jedermann  der die notwendigen Grundlagen in der  elektronischen  Schal-
tungstechnik  besitzt.  Man muss dazu nicht im Besitze des Buches  sein, 
obwohl  sich natuerlich deren Anschaffung empfiehlt.  Schliesslich  geht 
das Buch wesentlich weiter als dieses einfache Programm zu bieten hat.

Wenn aber jemand einfach ein Tiefpassfilter,  z.B.  zwecks Antialiasing-
fiter  fuer  ein  AD-Wandlersystem realisieren muss  und  mit  der  1dB-
Tschebyscheffcharakteristik und einer Grenzfrequenzsteilheit von etwa 57 
dB  pro Oktave zufrieden ist,  genuegt dieses Programm.  Man waehlt  die 
Dimensionierung  eines  Tiefpassfilters sechster Ordnung  und  gibt  den 
Grenzfrequenzwert  und  den  C-Wert (bei allen  Stufen  identisch)  ein. 
Berechnet werden dann die R-Werte.  Die Asymptote eines  Tiefpassfilters 
sechster  Ordnung liegt bekanntlich bei 36 dB pro Oktave,  was  in  etwa 
einer Butterworth-Charakteristik entspricht.

______FILTCOOK  (Berechnung von aktiven Hoch- und Tiefpassfiltern 2.,
          |      4. und 6. Ordnung in Bessel, Buttherw. und Tscheb.)
          |_____FILTCOOK.MAN    (Manual)
          |_____FILTCOOK.GFA    (GFA-3.5-BASIC-Quelltext)
          |_____FILTCOOK.LST    (dito. als ASCII-Datei
          |_____FILTCOOK.PRG    (Ausfuehrbares Programm
          |_____STARTPIC.PAC    (Startbild)
          |_____TP_2.PAC        (Bild: Tiefpassfilter 2. Ordnung)
          |_____TP_4.PAC        (Bild: Tiefpassfilter 4. Ordnung)
          |_____TP_6.PAC        (Bild: Tiefpassfilter 6. Ordnung)
          |_____HP_2.PAC        (Bild: Hochpassfilter 2. Ordnung)
          |_____HP_4.PAC        (Bild: Hochpassfilter 4. Ordnung)
          |_____HP_6.PAC        (Bild: Hochpassfilter 6. Ordnung)

Autor:  Thomas Schaerer 
        Im Lindenhof 6 
        CH-8307 Effretikon 
        E-Mail: schaerer@isi.ee.ethz.ch 
        WWW:    http://www.isi.ee.ethz.ch/~schaerer

Datum und Ort:  20.12.1998  CH-Effretikon
 
-eof- 



